#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
#define int ll

#define FOR(k,s) for(int k=1;k<=s;k++)
//#define cnt(n) (n*(n+1)/2)

signed main()
{
    int a,b;
    cin>>a>>b;
    int ans=0;
    for(int i=2;i<=a;i++)
    {
        int res1=0;
        for(int j=2;j<=b;j++)
        {
            int res2=0;
            FOR(k1,min(i,j))
            FOR(k2,min(i-k1+1,j))
            FOR(k3,min(min(j-k2+1,i),i+j-k1-1))
            FOR(k4,min(min(j-k1+1,i-k3+1),i+j-k2-1))
                res2++;
            res1+=res2*(b-j+1);
        }
        ans+=res1*(a-i+1);
    }
    cout<<ans;
}
